curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/provider-integrations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"fqn": "<string>",
"type": "blob-storage",
"providerAccountFqn": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>"
},
"manifest": {},
"metadata": {},
"providerAccount": {
"name": "<string>",
"fqn": "<string>",
"provider": "aws",
"manifest": {},
"id": "<string>",
"integrations": [
"<array>"
],
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>"
},
"accountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Get provider integrations for a tenant with optional filtering by type, fqn or id. Pagination is available based on query parameters.
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/provider-integrations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"fqn": "<string>",
"type": "blob-storage",
"providerAccountFqn": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>"
},
"manifest": {},
"metadata": {},
"providerAccount": {
"name": "<string>",
"fqn": "<string>",
"provider": "aws",
"manifest": {},
"id": "<string>",
"integrations": [
"<array>"
],
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>"
},
"accountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Number of items per page
1 <= x <= 100010
Number of items to skip
x >= 00
Provider Integration Type
blob-storage, secret-store, docker-registry, model, vcs, cluster, notification-channel, helm-repo, jwt-auth, mcp-server, guardrail-config Provider Integration FQN
Provider Integration Id
Returns Provider Integrations for a tenant And also the response includes paginated data.
Array of Provider Integrations
Show child attributes
blob-storage, secret-store, docker-registry, model, vcs, cluster, notification-channel, helm-repo, jwt-auth, mcp-server, guardrail-config Show child attributes
Subject ID
Subject type
user, team, serviceaccount, virtualaccount Subject slug
Subject display name
Show child attributes
aws, gcp, azure, dockerhub, openai, databricks, truefoundry, jfrog, ttl, custom, quay, github, gitlab, bitbucket, ai21, cohere, anthropic, anyscale, deepinfra, groq, mistral-ai, nomic, palm, perplexity-ai, together-ai, ollama, slack, aws-bedrock, google-vertex, google-gemini, azure-openai, azure-foundry, self-hosted-model, mcp-server-group, pagerduty, guardrail-config-group, openrouter, sambanova, aws-sagemaker, cerebras, hashicorp, snowflake-cortex, cloudera List of Provider Integrations
Show child attributes
Subject ID
Subject type
user, team, serviceaccount, virtualaccount Subject slug
Subject display name
Was this page helpful?